crun(1)

NAME

krun - crun based OCI runtime using libkrun to run containerized programs in isolated KVM environments

SYNOPSIS

krun [global options] command [command options] [arguments...]

DESCRIPTION

krun is a sub package of the crun command line program for running Linux containers that follow the Open Container Initiative (OCI) format. The krun command is a symbolic link to the crun executable, that tells crun to run in krun mode.

krun uses the dynamic libkrun library to run processes in an isolated environment using KVM Virtualization.

libkrun integrates a VMM (Virtual Machine Monitor, the userspace side of a Hypervisor) with the minimum amount of emulated devices required for its purpose, abstracting most of the complexity from Virtual Machine management.

Because of the additional isolation, sharing content with processes and other containers outside of the krun VM is more difficult.

COMMANDS

See crun.1 man page for the commands available to krun

SEE ALSO

crun.1